it.csi.mddtools.guigen

## Interface AppDataMappingPDefVal

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, PDefParamVal

      public interface AppDataMappingPDefVal
      extends PDefParamVal

  A representation of the model object 'App Data Mapping PDef Val'. Valorizzazione di parametro di PanelDef che permette di rimpiazzare l'application data fittizio con quello reale nel PanelDefUse

  The following features are supported:

  - `Actual App Data`
  See Also:
    `GuigenPackage.getAppDataMappingPDefVal()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationData` | `getActualAppData()` Returns the value of the 'Actual App Data' reference
    `void` | `setActualAppData(ApplicationData value)` Sets the value of the '`Actual App Data`' reference

    - ### Methods inherited from interface it.csi.mddtools.guigen.PDefParamVal

      `getParam, setParam`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getActualAppData

          ApplicationData getActualAppData()

      Returns the value of the 'Actual App Data' reference.

      If the meaning of the 'Actual App Data' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Actual App Data' reference.
      See Also:
        `setActualAppData(ApplicationData)`, `GuigenPackage.getAppDataMappingPDefVal_ActualAppData()`

    - #### setActualAppData

          void setActualAppData(ApplicationData value)

      Sets the value of the '`Actual App Data`' reference.
      Parameters:
        `value` - the new value of the 'Actual App Data' reference.
      See Also:
        `getActualAppData()`